Page MenuHomePhabricator

Wikimedia UI: Icons with stroke cannot be requested in different variants
Closed, ResolvedPublic

Description

The WIkidata and Wikimedia icon's use stroke rather than fill color. This means that all variants of those icons look identical.

Requested: Please adapt these icons to use fill so their color scheme can be adapted like other icons.

lib/ooui/themes/wikimediaui/images/icons/logo-Wikidata.svg
lib/ooui/themes/wikimediaui/images/icons/logo-Wikimedia.svg

This currently blocks https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/MinervaNeue/+/522504/

Details

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2019, 8:00 PM
Jdlrobson triaged this task as High priority.Jul 12 2019, 8:00 PM
Jdlrobson added a project: Readers-Web-Backlog.
matmarex claimed this task.Jul 12 2019, 8:17 PM
matmarex added a project: OOUI.

Change 522552 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] Fix support for icon variants in 'logoWikidata' and 'logoWikimedia'

https://gerrit.wikimedia.org/r/522552

Oh, interesting. Brand told us ages ago (I think) that the logo icons shouldn't be rendered in variants, but I don't know if that still holds (it seems perfectly reasonable to use them).

Oh, interesting. Brand told us ages ago (I think) that the logo icons shouldn't be rendered in variants, but I don't know if that still holds (it seems perfectly reasonable to use them).

^ @ovasileva @alexhollender seems important to clarify this as part of AMC!

Change 522552 merged by jenkins-bot:
[oojs/ui@master] icons: Alter SVG syntax in 'logoWikidata', 'logoWikimedia' for variant support

https://gerrit.wikimedia.org/r/522552

Is an OOUI release needed now?

Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: matmarex.

@Jdlrobson Yes, it is. It seems reasonable to have one tomorrow from my point of view. https://gerrit.wikimedia.org/r/#/projects/oojs/ui,dashboards/default

@Jdlrobson for clarification: the svg we're using in AMC came from OOUI. Though I'm not sure if that means an update is needed or not.

Change 523823 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.33.3

https://gerrit.wikimedia.org/r/523823

@Jdlrobson And here's the release…

Change 523823 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.33.3

https://gerrit.wikimedia.org/r/523823

matmarex edited projects, added OOUI (OOUI-0.33.3); removed OOUI.Jul 17 2019, 7:17 PM
Jdlrobson closed this task as Resolved.Jul 19 2019, 4:40 PM